GET /api/v202605/place/{placeId}/digest/energyUseIntensity/yearly

Retrieves average yearly energy use intensity data for a place, grouped by calendar year. Floor area and normalized use are rolled up from child places. Energy projects are listed per individual place.

GetYearlyEuiChartDataV202605 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId The place to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
groupByPlace When true, results are grouped by individual place within the hierarchy and usePerAreaTrend represents total EUI across all commodities boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceDigestPlaceEnergyUseIntensity
Property Description Type
eui Gets or sets the collection of energy use intensity data for associated places. PlaceDigestEnergyUseIntensity[]
PlaceDigestEnergyUseIntensity properties
Property Description Type
calendarPeriod The calendar period number integer (int32)
calendarYear The calendar year integer (int32)
commodities A breakdown of use per commodity PlaceDigestEnergyUseIntensity+EuiCommodity[]
PlaceDigestEnergyUseIntensity+EuiCommodity properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
use The use for the commodity number (double)
usePercent The percent of the building’s energy used by the commodity number (double)
energyProjects A list of energy projects for this building. To be listed, a project must end in this period. Projects are only displayed at the building level, but not at the organization level PlaceDigestEnergyUseIntensity+EuiEnergyProject[]
PlaceDigestEnergyUseIntensity+EuiEnergyProject properties
Property Description Type
energyProjectCode The energy project code string
energyProjectId The energy project identifier integer (int32)
energyProjectInfo The energy project info string
installationCost The energy project installation cost number (double)
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
periodName The calendar period name string
usePerAreaTrend The running average use per area for the prior 12 months number (double)
placeId The place identifier. integer (int32)
Example Response application/json
[
  {    "eui": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "commodities": [],      "energyProjects": [],      "globalUseUnit": {},      "periodName": "string",      "usePerAreaTrend": 1.0
    }
    ],    "placeId": 1
  }
]